> For the complete documentation index, see [llms.txt](https://docs.ospree.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ospree.io/developers/travel-rule/api-endpoints/retrieve-transfer.md).

# Retrieve Transfer

<mark style="color:green;">`GET`</mark> `/api/v2/travelrule/transfers/{transaction_hash OR transfer_id OR reference_id}`&#x20;

This endpoint allows users to retrieve detailed information about a specific Travel Rule transfer within the system. It provides comprehensive insights into the transfer, including originator and beneficiary details, transaction amount, timestamps, and status.

{% hint style="danger" %}
NOTE: Using `transaction_hash` is currently being tested and will be available in production soon.&#x20;
{% endhint %}

### Path Parameters

| Name               | Type   | Description                                                                                                                                                                                       | Required |
| ------------------ | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| `transaction_hash` | string | <p>The unique identifier (hash) of the crypto transaction.<br><br>Example: <mark style="color:orange;"><code>0x88e96d4537bea4d9c05d12549907b32561d3bf31f45aae734cdc119f13406cb6</code></mark></p> | True     |
| `transfer_id`      | string | <p>The ID of the transfer. </p><p></p><p>Example: <mark style="color:orange;"><code>0663cc41-ef29-7995-8000-2d9b414b3174</code></mark></p>                                                        | True     |
| `reference_id`     | string | <p>Unique identifier for the transfer, generated by the sender. </p><p></p><p>Example: <mark style="color:orange;"><code>transfer20250312040414</code></mark></p>                                 | True     |

{% hint style="info" %}
NOTE: reference\_id can only be used for transfer requests initiated by the user (outgoing transfers). It cannot be used to query incoming transfer requests received from other parties.&#x20;
{% endhint %}

Transfers can be queried using either the transfer\_id or the reference\_id.

* **reference\_id**: A unique identifier provided by the originator when initiating the transfer. It serves as a reference to track and retrieve transfer details and is only applicable for outgoing transfers. For incoming transfers, reference\_id is not supported.
* **transfer\_id**: A system-generated identifier unique to each transaction. It can be used to track and retrieve details for both outgoing and incoming transfers.

### Response

The sample response below shows the transfer details of an individual originator and an entity beneficiary.&#x20;

{% tabs %}
{% tab title="RESPONSE" %}

```json
{
  "status": "success",
  "data": {
    "transfer_data": {
      "transfer_id": "018f85d7-0650-7205-a1d5-011e9587c07c",
      "reference_id": "reference-transfer-01",
      "amount": 1,
      "amount_usd": 101234.00,
      "dti": "4H95J0R2X",
      "chain": "bitcoin",
      "symbol": "BTC",
      "protocol": "flow",
      "originator_address": "14qViLJfdGaP4EeHnDyJbEGQysnCpwk3gd",
      "originator_address_is_self_hosted": false,
      "beneficiary_address": "1F1tAaz5x1HUXrCNLbtMDqcw6o5GNn4xqX",
      "beneficiary_address_is_self_hosted": false,
      "routing_number": "1234XYZ",
      "transaction_hash": "80003fee6bcbb2726b4d6466d690fce6caaa03771aada747eb0651637514b893",
      "transfer_status": "REVIEW",
      "transfer_type": "INSTRUCTION",
      "created": "2024-12-31T12:40:01.138096+00:00",
      "created_by_desc": "John Robert Maxwells"
    },
    "originator_record": {
      "display_name": "John Sean Smith",
      "reference_id": "234234",
      "customer_id": "customer-1234",
      "account_type": "Individual",
      "account_no": 234234,
      "name_first": "John ",
      "name_middle": "Sean",
      "name_last": "Smith",
      "name_local_first": null,
      "name_local_middle": null,
      "name_local_last": null,
      "date_of_birth": "1988-06-27",
      "place_of_birth": "Singapore",
      "nationality_code": "SG",
      "residence_country_code": "SG",
      "name_legal": null,
      "name_business": null,
      "name_local_legal": null,
      "name_local_business": null,
      "registration_country_code": null,
      "address_line": "75 High Street",
      "address_street_no": "75",
      "address_street_name": "High Street ",
      "address_building_name": null,
      "address_floor": null,
      "address_room": null,
      "address_department": null,
      "address_subdepartment": null,
      "address_postbox": null,
      "address_city": "Singapore ",
      "address_city_location": "Singapore",
      "address_region": "Singapore",
      "address_district": null,
      "address_postcode": "179435 ",
      "address_country_code": null,
      "email": "john@example.com",
      "national_id": "AAE4123",
      "national_id_issue_country": "SG"
    },
    "beneficiary_record": {
      "display_name": "Crypto Legal",
      "reference_id": "1234123",
      "customer_id": "non-customer-4321",
      "account_type": "Entity",
      "account_no": null,
      "name_first": null,
      "name_middle": null,
      "name_last": null,
      "name_local_first": null,
      "name_local_middle": null,
      "name_local_last": null,
      "date_of_birth": null,
      "place_of_birth": null,
      "nationality_code": "SG",
      "residence_country_code": "SG",
      "name_legal": "Crypto Legal",
      "name_business": "Crypto Legal",
      "name_local_legal": null,
      "name_local_business": null,
      "registration_country_code": "SG",
      "address_line": "111 North Bridge Road, #08-18 Peninsula Plaza",
      "address_street_no": "3124123",
      "address_street_name": "Peninsula Plaza ",
      "address_building_name": null,
      "address_floor": null,
      "address_room": null,
      "address_department": null,
      "address_subdepartment": null,
      "address_postbox": null,
      "address_city": null,
      "address_city_location": null,
      "address_region": null,
      "address_district": null,
      "address_postcode": "179098 ",
      "address_country_code": "SG",
      "email": "crypto@legal.com",
      "national_id": "ABXYAZ",
      "national_id_issue_country": "SG"
    },
    "originator_vasp": {
      "vasp_id": "ABCXYZ",
      "name_legal": "Kraken",
      "name_business": "Kraken",
      "name_local_legal": null,
      "name_local_business": null,
      "registration_country_code": "US",
      "address_type_code": null,
      "address_line": "1009 N 1300th W",
      "address_street_no": null,
      "address_street_name": "1009 N 1300th W",
      "address_building_name": null,
      "address_floor": null,
      "address_room": null,
      "address_department": null,
      "address_subdepartment": null,
      "address_postbox": null,
      "address_city": "Pleasant Grove",
      "address_city_location": null,
      "address_region": "Utah",
      "address_district": null,
      "address_postcode": "84062",
      "address_country_code": "US",
      "address_country_desc": "United States",
      "email": "dummy@kraken.com",
      "website": "https://www.kraken.com/",
      "national_id": "ABCXYZXX",
      "national_id_issue_country": "US"
    },
    "beneficiary_vasp": {
      "vasp_id": "XYZABC",
      "name_legal": "Amber Group",
      "name_business": "Amber Group",
      "name_local_legal": null,
      "name_local_business": null,
      "registration_country_code": null,
      "address_type_code": null,
      "address_line": null,
      "address_street_no": null,
      "address_street_name": null,
      "address_building_name": null,
      "address_floor": null,
      "address_room": null,
      "address_department": null,
      "address_subdepartment": null,
      "address_postbox": null,
      "address_city": null,
      "address_city_location": null,
      "address_region": null,
      "address_district": null,
      "address_postcode": null,
      "address_country_code": "HK",
      "address_country_desc": "Hong Kong",
      "email": "dummy@ambergroup.io",
      "website": "www.ambergroup.io",
      "national_id": "XXABZXYE",
      "national_id_issue_country": "HK"
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ospree.io/developers/travel-rule/api-endpoints/retrieve-transfer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
